/***************************************************************************
File             : ISALARK.h
Description      : User archiver - restore objects
Author(s)        : CJ International
***************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

/* guide:

Services:
 isalarkRestoreProjects : restore all projects archives from archive folder
 isalarkRestoreLibraries : restore all libraries archives from archive folder
 isalarkRestoreAll : restore everything archives from archive folder
 isalarkRestoreManually : run archiver for restore only in manual mode

Arguments:
 HWND hwndParent  = handle of the calling application window
 LPSTR isaExePath = pathname of the "EXE" folder of installed ISaGRAF 3.30
 LPSTR arkPath    = pathname of the folder where archive files are stored

Important notes:
 ISaGRAF workbench should not be open when calling this DLL
 all *.?ia files found in the folder are restored
 only available selection is provect vs libraries
 after DLL calls, the ISaGRAF archive path is reset to A:\\
 pathnames should not have "\\" character at the end!  
 example: isaExePath = "c:\\isawin\\exe" arkpath = "c:\\myark"

*/

extern BOOL FAR PASCAL isalarkRestoreProjects (
   HWND hwndParent,
   LPSTR isaExePath,
   LPSTR arkPath
   );

extern BOOL FAR PASCAL isalarkRestoreLibraries (
   HWND hwndParent,
   LPSTR isaExePath,
   LPSTR arkPath
   );

extern BOOL FAR PASCAL isalarkRestoreAll (
   HWND hwndParent,
   LPSTR isaExePath,
   LPSTR arkPath
   );

extern BOOL FAR PASCAL isalarkRestoreManually (
   HWND hwndParent,
   LPSTR isaExePath,
   LPSTR arkPath
   );

#ifdef __cplusplus
}
#endif

/* end of file ************************************************************/

